/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/
html{
    box-sizing: border-box;
}

*, *:after, *:before{
    box-sizing: inherit;
}

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}





html {
    height: 100%;
}

.bot {
    height: 100%;
    width: 500px;
    margin: 0px auto;
}

.bot-wrapper {
    
    margin-top: 50%;
    
    
}
.bot-header {
    display: flex;
    background-color: #be5528;
    border-top-left-radius: 30px;
    border-top-right-radius: 30px;
    align-items: center;
    height: 50px;
}
.price {
    margin-right: 190px;
    padding-left: 10px;
}
.price__title {
    color: white;
    width: 200px;
    max-width: 200px;
    word-wrap: break-word;
   
}

.menu{
    display: flex;

}

.reload__button {
    width: 30px;
    margin-right: 5px;
}
.menu__button {
    background: none;
    border: none;
    margin-right: 5px;
}
.profile__button {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 30px;
    height: 30px;
    width: 30px;
    border: none;
    background-color: white;
}

.bot-main {
    height: 300px;
    background-color: #272728;
    overflow-y: scroll;
    padding: 0px 30px;
    -ms-overflow-style: none;  
    scrollbar-width: none; 
}

.bot-main::-webkit-scrollbar {
    display: none;
}

.chat-list {
    padding-top: 20px;
    padding-bottom: 20px;
    overflow: hidden;

}

.box-text{
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-weight: 500;
    width: 100%;
    max-height: 100%;
    line-height: 150%;
    max-width: 300px;
    min-width: 100px;
    word-wrap: break-word;
    padding: 5px;
    font-size: 18px;
}


.circle {
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 30px;
    background-color: white;
    width: 50px;
    height: 50px;
    /* margin: 10px; */
}
.circle:nth-child(odd) {
    margin-right: 10px;
}
.circle:nth-child(even) {
    margin-left: 10px;
    width: 100%;
}

.message {
    display: flex;
    /* flex-direction: column; */
    flex-grow: 1;
    margin-top: 15px;
}

.box {
    display: flex;
    align-self: center;
    background-color: #d7d8d8;
    min-width: 200px;
    min-height: 20px;
    max-width: 400px;
    padding: 5px 0px;
}
.circle-text {
    font-size: 20px;
    color: darkcyan;
    font-weight: 700;
}
.user-message {
    margin-left: 175px;
}


.bot-footer {
    height: 75px;
    background-color: #be5528;
    display: flex;
    align-items: center;
    justify-content: center;
}

.input {
    margin: 0px;
    padding-right: 35px;
    display: block;
    height: 48px;
    width: 390px;
    font-size: 18px;
    padding-left: 5px;
    outline: none;
}

.input:focus {
    box-shadow: 0px 0px 5px inset rgb(190, 190, 190) ;
}
.input__submit {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: white;
    margin: 0px;
    border: none;
    height: 46px;
    width: 46px;
}

.input__submit:active {
    background-color: rgb(212, 209, 209);
}

.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
    background-color: #383737;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
}

#modal-text {
    color: white;
}
/* The Close Button */
.close {
    color: #ffffff;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: rgb(255, 254, 254);
    text-decoration: none;
    cursor: pointer;
}